#include <bits/stdc++.h>

using namespace std;

ifstream fi ("dqqt.inp");
ofstream fo ("dqqt.out");

int Q(int n){
    int a;
  if (n%2==1){a=1;}
  else {a=-1;}
  if (n==1){return 1;}
  else {
    return a*n+Q(n-1);
  }
}

long long P(long long n){
  if (n==1){return 1;}
  else{
    return n*P(n-1);
  }
}

long long T (long long n){
  if (n==1){return 1;}
  else {
    return P(n)+T(n-1);
  }

}

int main(){
 int n;
 fi>>n;
 fo<<Q(n)<<endl<<T(n);
}
